"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

ExternalAddress subclass:#LLVMModule
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:'LLVMTypeKind'
	category:'LLVM-Core'
!

!LLVMModule class methodsFor:'instance creation'!

newWithName: name
    ^ LLVM ModuleCreateWithName: name

    "Created: / 07-07-2015 / 20:22:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMModule methodsFor:'adding & removing'!

addFunctionNamed: name type: type
    self assert: name isSingleByteString.
    self assert: type kind == LLVMFunctionTypeKind.
    ^ LLVM AddFunction: self _: name _: type.

    "Created: / 07-07-2015 / 21:59:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMModule methodsFor:'debugging'!

dump
    LLVM DumpModule: self.

    "Created: / 07-07-2015 / 22:02:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

