"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

ExternalAddress subclass:#LLVMType
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Core'
!

!LLVMType class methodsFor:'instance creation'!

function: argumentTypes returning: returnType
    ^ LLVM FunctionType: returnType  _: argumentTypes _: argumentTypes size _: 0

    "Created: / 07-07-2015 / 21:53:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

int1
    ^ LLVM Int1Type

    "Created: / 07-07-2015 / 21:21:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

int16
    ^ LLVM Int16Type

    "Created: / 07-07-2015 / 21:21:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

int32
    ^ LLVM Int32Type

    "Created: / 07-07-2015 / 21:21:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

int64
    ^ LLVM Int64Type

    "Created: / 07-07-2015 / 21:21:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

int8
    ^ LLVM Int8Type

    "Created: / 07-07-2015 / 21:21:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMType methodsFor:'accessing'!

kind
    ^ LLVM GetTypeKind: self

    "Created: / 07-07-2015 / 21:59:23 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMType methodsFor:'debugging'!

dump
    LLVM DumpType: self.

    "Created: / 07-07-2015 / 22:03:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

